Package io.vertx.oracleclient

## Interface OracleConnection

- All Superinterfaces:
    `SqlClient`, `SqlConnection`

      public interface OracleConnection
      extends SqlConnection

  A connection to Oracle Database.

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static OracleConnection` | `cast​(SqlConnection sqlConnection)` | Cast a `SqlConnection` to `OracleConnection`.
    `OracleConnection` | `closeHandler​(Handler<Void> handler)` | Set an handler called when the connection is closed.
    `static Future<OracleConnection>` | `connect​(Vertx vertx, OracleConnectOptions connectOptions)` | Create a connection to Oracle with the given `connectOptions`.
    `static Future<OracleConnection>` | `connect​(Vertx vertx, String connectionUri)` | Like `connect(Vertx, OracleConnectOptions)` with options built from `connectionUri`.
    `OracleConnection` | `exceptionHandler​(Handler<Throwable> handler)` | Set an handler called with connection errors.

    - ### Methods inherited from interface io.vertx.sqlclient.SqlClient

      `close, preparedQuery, preparedQuery, query`

    - ### Methods inherited from interface io.vertx.sqlclient.SqlConnection

      `begin, databaseMetadata, isSSL, prepare, prepare, transaction`

- - ### Method Detail

    - #### connect

          static Future<OracleConnection> connect​(Vertx vertx,
                                                  OracleConnectOptions connectOptions)

      Create a connection to Oracle with the given `connectOptions`.
      Parameters:
        `vertx` - the vertx instance
        `connectOptions` - the options for the connection
      Returns:
        a future notified with with the connection or the failure

    - #### connect

          static Future<OracleConnection> connect​(Vertx vertx,
                                                  String connectionUri)

      Like `connect(Vertx, OracleConnectOptions)` with options built from `connectionUri`.

    - #### exceptionHandler

          OracleConnection exceptionHandler​(Handler<Throwable> handler)

      Set an handler called with connection errors.
      Specified by:
        `exceptionHandler` in interface `SqlConnection`
      Parameters:
        `handler` - the handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### closeHandler

          OracleConnection closeHandler​(Handler<Void> handler)

      Set an handler called when the connection is closed.
      Specified by:
        `closeHandler` in interface `SqlConnection`
      Parameters:
        `handler` - the handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### cast

          static OracleConnection cast​(SqlConnection sqlConnection)

      Cast a `SqlConnection` to `OracleConnection`.

      This is mostly useful for Vert.x generated APIs like RxJava/Mutiny.

      Parameters:
        `sqlConnection` - the connection to cast
      Returns:
        a `instance`